# FirmhouseExtraFieldAnswer

Extra field answers are the submitted values of an extra field by a customer

## Properties

| Property        | Type                  | Description                                                                                                          |
| --------------- | --------------------- | -------------------------------------------------------------------------------------------------------------------- |
| `extraFieldId`  | `string`              | ID to identify the associated extra field                                                                            |
| `fieldType`     | `string`              | Field type of the extra field. Possible types: `single_line`, `multi_line`, `date`, `single_select`                  |
| `id`            | `null` \| `string`    | ID to identify the associated extra field                                                                            |
| `name`          | `string`              | Name of the extra field                                                                                              |
| `position`      | `null` \| `number`    | The extra fields should be ordered by this field                                                                     |
| `required`      | `boolean`             | Field is required to be filled                                                                                       |
| `selectOptions` | `null` \| `string`\[] | Possible options when fieldType is dropdown                                                                          |
| `value`         | `null` \| `string`    | The submitted value of the extra field                                                                               |
| `visibility`    | `string`              | Whether the extra field should be visible for public or just for internal use. Possible values: `public`, `internal` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/interfaces/firmhouse-extra-field-answer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
